À la une
Jeux
Logiciels Démos Recommandations ACTUALITÉS

Ce contenu nécessite le jeu de base Drox Operative sur Steam pour fonctionner.

Date de parution: 30 oct 2013
Tags populaires des utilisateurs pour ce produit :
Visionner la vidéo HD

Contenu téléchargeable

Ce contenu nécessite le jeu de base Drox Operative sur Steam pour fonctionner.

Acheter Invasion of the Ancients

À propos du jeu

Drox Operative: Invasion of the Ancients is the first expansion for Drox Operative. Drox Operative is a starship action RPG with warring alien races, fierce space battles, a dynamic, evolving galaxy, and co-op multiplayer for Windows and Mac.

Before the Drox ruled the galaxy, before they were even sentient, there were older races now known as the Ancients. Using their Operatives, the Drox crushed and enslaved most of these races. The rest fled known space. When the Drox turned on their own Operatives, the Drox were utterly destroyed. Newer races emerged and thrived in the power void, never knowing the menace waited. Seizing their chance, the Ancients are invading to take their rightful place in the galaxy, as rulers! Thirsting for revenge, the Ancients can't harm the extinct Drox, but they can crush the next best thing, the Drox Operatives.

The Ancient enemies are back! Can you defend the Drox Operative Guild and younger races against the Invasion of the Ancients?

  • Defend against ancient race invasions
  • Destroy or defend space stations (military and production)
  • Guide the evolution of persistent galaxies
  • Design components with socketable chips
  • Play as or against the new race, the Scavenger
  • Battle new Talon, Legion, and Overlord monsters
  • Solve new quests and equip new components
  • Drox Guild quests
  • Unlock and play as 19 subraces

Configuration requise (PC)

    Minimum:
    • OS: XP or newer
    • Processor: 1.5 GHz Pentium 4
    • Memory: 256 MB RAM
    • Graphics: GeForce 2 or better
    • Network: Broadband Internet connection
    • Hard Drive: 200 MB available space

Configuration requise (MAC)

    Minimum:
    • OS: OS X 10.4 or newer
    • Processor: 1.5 GHz processor
    • Memory: 256 MB RAM
    • Graphics: GeForce 2 or better
    • Network: Broadband Internet connection
    • Hard Drive: 200 MB available space

Configuration requise (Linux)

    Minimum:
    • Processor: 1.5 GHz Pentium 4
    • Memory: 256 MB RAM
    • Graphics: GeForce 2 or better
    • Network: Broadband Internet connection
    • Hard Drive: 200 MB available space
Il n'existe pas encore d'évaluation pour ce produit
Vous pouvez rédiger une évaluation sur ce produit pour partager votre expérience avec la communauté. Utilisez l'encadré situé au-dessus des options d'achat pour rédiger votre évaluation.